#include <Item/StatefulItem/BasicTool/Chisel/Chisel.hpp>
#include <Block/Block.hpp>

Chisel::Chisel(std::string name) : BasicTool(name, Material::chisel, 32) {}

bool Chisel::canDig(ItemStack &stack, Block &block)
{
    return block.canManuallyDig() || (block.name == "main:stone" && uses(stack) != m_maxUses);
}

float Chisel::getPowerAgainst(ItemStack &stack, Block &block)
{
    return 1.0f;
}

std::string Chisel::getDisplayName(const ItemStack &stack)
{
    return "Chisel";
}

Sound& Chisel::getDigSoundFor(ItemStack &stack, Block &block)
{
    return Sound::chisel;
}